<?php
/**
* @version		1.6
* @package		mod_jltextslider
* @copyright	Copyright (C) 2011 JomLand.com. All rights reserved.
* @link 		www.jomland.com
* @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');


class modJLTextSliderHelper
{
	function buildText(&$params)
	{
		
		$text = ($params->get('content'));
		
		$counter = 0;
		$output  = '';
		$items = explode('[/block]', $text);
		
		unset($items[count($items)-1]);
		
		foreach ($items  as $item){
			$output .='<div>'.str_replace('[block]', '', $item).'</div>';
			$counter++;
			
		} 
				
		return array('output'=>$output,'counter'=>$counter);
		
	} //EOF buildText
	
	function addJScript($params,$counter){

		$itemsId = $params->get('itemId','slider_mask');
		$width = $params->get('width','200');
		$height = $params->get('height','100');
		$interval = $params->get('interval','2000');
		$mode = $params->get('mode','horizontal');
		
		
		if ($mode =='horizontal'){
			$size = $width;
			$css_mode = 'h';
		}else{
			$size = $height;
			$css_mode = 'v';
		}
		
		
		$sliderCss= JURI::root().'modules/mod_jltextslider/assest/jltextslider.css';
		$sliderCss2= JURI::root().'modules/mod_jltextslider/assest/jltextslider.php?w='.$width.'&h='.$height.'&m='.$css_mode.'&id='.$itemsId;
		
		$sliderJS= JURI::root().'modules/mod_jltextslider/assest/_class.noobSlide.packed.js';

		$doc =& JFactory::getDocument();
		$doc->addStyleSheet($sliderCss);
		$doc->addStyleSheet($sliderCss2);
		
		$doc->addScript($sliderJS);
		
		
		$items_js ="1";
		$i=2; 
		for ($i;$i<=$counter;$i++){
			$items_js .=",$i";
		} 
		
									
		$sliderInt = "	window.addEvent('domready',function(){
								var hs3 = new noobSlide({
									mode: '".$mode."',
									box: $('".$itemsId ."'),
									items: $$('#".$itemsId." div'),
									
									size:".$size.",
									interval: ".$interval .",
									startItem: 0,
									autoPlay:true,
									buttons: {
										/*playback: $('playback3'),
										stop: $('stop3'),
										play: $('play3')*/
									}
								});
							});";
		
		$doc->addScriptDeclaration($sliderInt);
		
		return;
		
	} // EOF addJScript
}